<!--智能提醒-->
<template>
  <div class="seat-body">
    <div class="scroll-wrapper" ref="scrollRef">
      <div class="switch-body">
        <div class="switch-group">
          <u-card left-text="智能播报">
            <template #right>
              <u-switch :value="broadcast" v-model="broadcast"/>
            </template>
          </u-card>
          <u-card left-text="智能播报"
                  right-text="设置"
                  right-text-color="#4293EE"
                  @onClick="changeBroadcastDialog"
          >
          </u-card>
          <u-card :padding-bottom=0 left-text="播报音量" right-text="50%" right-text-color="#4293EE" :bottom="true">
            <template #bottom>
              <img src="../../assets/images/setting/set/set_process.webp" class="process">
            </template>
          </u-card>
        </div>

        <div class="switch-group">
          <u-card left-text="车辆提示音源" left-icon-name="ic_notice" bottom>
            <template #bottom>
              <Select :options="['标准','品牌']"
                      :selectedIndex="selectedTipIndex"
                      @changeIndex="changeTipSelectIndex"
                      class="select-item"
              ></Select>
            </template>
          </u-card>
          <u-card left-text="引擎模拟器音源" right-text="50%" right-text-color="#4293EE" bottom>
            <template #bottom>
              <Select
                :options="['标准','品牌']"
                :selectedIndex="selectedEngineIndex"
                class="select-item bottom15"
                @changeIndex="changeEngineSelectIndex"
              ></Select>
            </template>
          </u-card>
        </div>

        <div class="switch-group">
          <u-card left-text="导航音压低媒体音" left-icon-name="ic_notice">
            <template #right>
              <u-switch :value="media" v-model="media"/>
            </template>
          </u-card>
        </div>

        <div class="switch-group">
          <u-card
            left-text="智能语音"
            right-text="设置"
            right-text-color="#4293EE"
            @onClick="e => {this.$router.push('/assistant')}"
          />
        </div>

        <div class="switch-group">
          <u-card left-text="辅助驾驶功能语音播报">
            <template #right>
              <u-switch :value="driving" v-model="driving"/>
            </template>
          </u-card>
        </div>
      </div>
    </div>


    <img
      src="../../assets/images/setting/setting_car2.webp"
      alt=""
      srcset=""
      class="img-bg"
    />

    <MainDialog
      class="broadcast-dialog"
      :width="909"
      @close="changeBroadcastDialog"
      :dialogVisible="broadcastDialogVisible"
      @changeVisble="changeBroadcastDialog"
      :bottom-array="bottomArray"
      title="智能播报设置"
      is-close
    >
      <template #content>
        <div class="broadcast-container">
          <u-card
            v-for="(item,index) in dialogSelectList" :key=index
            :left-text="item.content"
            style="width: 100%;background: none"
            padding=0
            padding-bottom=41
          >
            <template #right>
              <u-switch :value="item.isSelect"/>
            </template>
          </u-card>
        </div>
      </template>
    </MainDialog>
  </div>
</template>

<script>
import MainDialog from "@/components/dialog/MainDialog.vue";
import Select from "@/components/Select.vue";
import BScroll from "better-scroll";


export default {
  name: "Reminder",
  components: {
    Select,
    MainDialog
  },
  data() {
    return {
      broadcast: true, // 长按遥控钥匙闭锁关窗
      media: true, // 导航音压低媒体音
      driving: true, // 辅助驾驶功能语音播报
      selectedTipIndex: 0,
      selectedEngineIndex: 0,
      broadcastDialogVisible: false,
      bottomArray: [
        {
          name: '确定',
          color: '#4393EE'
        },
        {
          name: '取消',
          color: '#000000'
        }
      ],
      dialogSelectList: [
        {
          content: '车辆启动或退电失败提示语',
          isSelect: true
        },
        {
          content: '驻车制动未接触提示语',
          isSelect: true
        },
        {
          content: '行车车门未关闭提示语',
          isSelect: true
        },
        {
          content: '安全带未系提示语',
          isSelect: true
        },
        {
          content: '非P档立车警告提示语',
          isSelect: true
        },
        {
          content: '钥匙电量低提示语',
          isSelect: true
        },
      ]
    }
  },
  methods: {
    changeTipSelectIndex(index) {
      this.selectedTipIndex = index
    },
    changeEngineSelectIndex(index) {
      this.selectedEngineIndex = index
    },
    changeBroadcastDialog() {
      this.broadcastDialogVisible = !this.broadcastDialogVisible
    },
    init() {
      this.bs = new BScroll(this.$refs.scrollRef, {
        quadrant: 2,
        click: true
      });
    },

  },
  mounted() {
    this.init()
  }
}
</script>


<style scoped lang="scss">
.seat-body {
  position: relative;
  height: 100%;

  .scroll-wrapper {
    width: 688px;
    height: 743px;
    overflow: hidden;
  }


  .switch-body::-webkit-scrollbar {
    display: none;
  }

  .switch-group {
    width: 688px;
    //padding: 35px 40px 43px 40px;
    box-sizing: border-box;
    margin-bottom: 15px;
    background: #ffffff;
    border-radius: 20px;

    .select-item {
      height: 70px;
    }

    .process {
      width: 606px;
      height: 64px;
    }
  }


  .img-bg {
    width: 897px;
    height: 597px;
    position: absolute;
    right: -60px;
    top: 140px;
  }

  .broadcast-container {
    width: 100%;
    display: flex;
    flex-direction: column;
  }
}

.bottom15 {
  margin-bottom: 15px;
}

.broadcast-dialog {
  ::v-deep .right {
    width: 229px;
    height: 70px;
  }
}

</style>